function init(hero) {

    hero.setName("Green Lantern");

	hero.setVersion("DCREBIRTH");

    hero.setTier(4);

    

    hero.setHelmet("Mask");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");

    hero.addEquipment("fiskheroes:flash_ring");



    hero.addAbilities("fiskheroes:electrokinesis", "fiskheroes:superhuman_durability",  "fiskheroes:propelled_flight", "fiskheroes:hover", "fiskheroes:leaping");

    hero.addAttribute("ATTACK_DAMAGE", 2.2, 0);

    hero.addAttribute("PUNCH_DAMAGE", 7.5, 0);

    hero.addAttribute("SWORD_DAMAGE", -0.45, 0);

    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);

    hero.addAttribute("SPRINT_SPEED", 0.3, 0);

    hero.addAttribute("STEP_HEIGHT", 1, 0);

	

    hero.addKeyBind("HOVER", "key.hover", 1);

}



function hasProperty(entity, property) {

    return property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";

}